Bug 58343 - Master template name tooltip not updated after slide rename
Summary: Master template name tooltip not updated after slide rename
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta1
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Master-Pages
  Show dependency treegraph
 
Reported: 2012-12-15 18:03 UTC by Don't use this one - Philippe Jung
Modified: 2021-05-04 03:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Step 1 - Screenshot has been expunged of the slides content (172.89 KB, image/png)
2012-12-15 18:03 UTC, Don't use this one - Philippe Jung
Details
Step2 - Screenshot has been expunged of the slides content (205.29 KB, image/png)
2012-12-15 18:04 UTC, Don't use this one - Philippe Jung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Don't use this one - Philippe Jung 2012-12-15 18:03:51 UTC
Created attachment 71559 [details]
Step 1 - Screenshot has been expunged of the slides content

Start Edit mask mode
Select a mask on the left side of the screen, right click, select Rename, put a NewName
Go with the mouse cursor on this mask, its tooltip has been updated to NewName (Screenshot step1)
Go with the mouse cursor on the right side of the screen in the Master page explorer, go on the mask that has been renamed. The tooltip still is the old name. (Screenshot Step 2)
Comment 1 Don't use this one - Philippe Jung 2012-12-15 18:04:38 UTC
Created attachment 71560 [details]
Step2 - Screenshot has been expunged of the slides content
Comment 2 Rainer Bielefeld Retired 2012-12-18 15:36:49 UTC
I do not understand the problem. Why should a template be renamed because the Slide where it is used has been renamed? Do I misunderstand something?

@Philippe Jung:
Please also see my general remarks in Bug 58344 Comment 2
Comment 3 Rainer Bielefeld Retired 2013-03-12 07:57:40 UTC
Closing Bug due to reporter's inactivity as INVALID due to lacking information.

@reporter:
Please feel free to reopen this bug if you find out that the problem still exists with the current stable LibreOffice version and if you can contribute requested additional information due to <http://wiki.documentfoundation.org/BugReport> (especially BugReport Details)!
Comment 4 bordfeldt 2017-04-15 14:02:09 UTC
This problem still exists in LO 5.3.2.2 under Windows 10:

The steps to reproduce:

1. Open a new impress document.
2. Change to master view.
3. Click on the "rename master"-Button in the "master view"-toolbar.
4. Change the default name "Default" in "test".
5. Open the sidebar -> master pages section.
6. On top in the "used in this presentation"-section the toolbar for the used presentation shows still "Default".
Comment 5 Aron Budea 2017-10-02 03:12:03 UTC
Confirmed with a 6.0 daily build from 09-28 / Windows 7.
Comment 6 bordfeldt 2018-02-04 14:57:40 UTC
still present in 6.0.0.3 on Windows 10 pro
Comment 7 QA Administrators 2019-02-05 03:45:52 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2019-05-04 12:38:03 UTC
still repro in

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 7ca7d61dc25f409e209b3a432c7f07469b17e316
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-03_23:08:41
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL
Comment 9 QA Administrators 2021-05-04 03:45:58 UTC
Dear Don't use this one - Philippe Jung,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug